package com.starbuds.server.api.notify.v1.entity.form;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/***
 * @author qinjiang
 * @description 智企行提现打款回调通知
 * @date 2021/11/9
 */
@Data
public class SailtobCashoutNotifyForm implements Serializable {
    /**
     * 商户号
     */
    private String merId;

    /**
     * 税优地ID
     */
    private String levyCode;

    /**
     * 请求序号
     */
    private String reqId;

    /**
     * 商户订单号
     */
    private String merOrderId;

    /**
     * 交易流水号（单笔交易唯一）
     */
    private String payItemId;

    /**
     * 交易状态:
     * UNT:未处理;
     * PRO:处理中;
     * SETTING:结算中;
     * SETSUCC结算成功;
     * SETFAIL:结算失败;
     * REFPRO:退票中;
     * TICREF:已退票
     */
    private String state;

    /**
     * 交易金额
     */
    private BigDecimal amt;

    /**
     * 订单拆分标识:
     * SPLIT：已拆分;
     * NOSPLIT：未拆分;
     */
    private String splitFlag;

    /**
     * 请求返回码
     */
    private String resCode;

    /**
     * 请求返回消息
     */
    private String resMsg;

    /**
     * 加签字符串
     */
    private String sign;
}
